import { jsx as e, jsxs as h } from "react/jsx-runtime";
import { w100 as s, mr2 as a, mt2 as m, dFlex as o } from "./index-general.module.js";
import { classNames as t } from "./index-classNames.js";
import { ComponentContainer as r } from "./index-ComponentContainer.js";
import { Skeleton as l, SkeletonTypes as i } from "./index-Skeleton.js";
import "react";
const N = (p) => e(r, {
  className: s,
  children: h("div", {
    className: t(o, m, s),
    children: [e(l, {
      type: i.fill,
      style: {
        height: "128px",
        minWidth: "calc(33.33% - 16px)",
        width: "auto"
      },
      className: t(a)
    }), e(l, {
      type: i.fill,
      style: {
        height: "128px",
        minWidth: "calc(33.33% - 16px)",
        width: "auto"
      },
      className: t(a)
    }), e(l, {
      type: i.fill,
      style: {
        height: "128px",
        minWidth: "33.33%",
        width: "auto"
      },
      className: ""
    })]
  })
}), w = (p) => e(r, {
  className: s,
  children: e("div", {
    className: t(o, m, s),
    children: e(l, {
      type: i.fill,
      style: {
        height: "128px",
        minWidth: "100%",
        width: "1000px"
      },
      className: t(a)
    })
  })
});
export {
  N as TablePlaceholder,
  w as TableRowPlaceholder
};
